TensorFlow Object Detection API tutorial — Training and Evaluating Custom Object Detector
Vatsal Sodha
57833

Hai, first of all thank you for this tutorial. But I have got error when training the model.Can you please tell me what is the matter. I searched a lot and Im not able to find the solution.Please do help… My terminal shows something like this:

doe@doe:~/anaconda3/envs/tensorflow/models/research/object_detection$ python3 train.py — logtostderr — train_dir=training/ — pipeline_config_path=training/ssd_mobilenet_v1_pets.config
WARNING:tensorflow:From /home/doe/anaconda3/lib/python3.6/site-packages/tensorflow/python/platform/app.py:124: main (from __main__) is deprecated and will be removed in a future version.
Instructions for updating:
Use object_detection/model_main.py.
Traceback (most recent call last):
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1500, in _ParseAbstractInteger
 return int(text, 0)
ValueError: invalid literal for int() with base 0: ‘=’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1449, in _ConsumeInteger
 result = ParseInteger(tokenizer.token, is_signed=is_signed, is_long=is_long)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1471, in ParseInteger
 result = _ParseAbstractInteger(text, is_long=is_long)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1502, in _ParseAbstractInteger
 raise ValueError(‘Couldn\’t parse integer: %s’ % text)
ValueError: Couldn’t parse integer: =

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
 File “train.py”, line 184, in <module>
 tf.app.run()
 File “/home/doe/anaconda3/lib/python3.6/site-packages/tensorflow/python/platform/app.py”, line 124, in run
 _sys.exit(main(argv))
 File “/home/doe/anaconda3/lib/python3.6/site-packages/tensorflow/python/util/deprecation.py”, line 136, in new_func
 return func(*args, **kwargs)
 File “train.py”, line 93, in main
 FLAGS.pipeline_config_path)
 File “/home/doe/anaconda3/envs/tensorflow/models/research/object_detection/utils/config_util.py”, line 94, in get_configs_from_pipeline_file
 text_format.Merge(proto_str, pipeline_config)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 536, in Merge
 descriptor_pool=descriptor_pool)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 590, in MergeLines
 return parser.MergeLines(lines, message)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 623, in MergeLines
 self._ParseOrMerge(lines, message)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 638, in _ParseOrMerge
 self._MergeField(tokenizer, message)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 763, in _MergeField
 merger(tokenizer, message, field)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 837, in _MergeMessageField
 self._MergeField(tokenizer, sub_message)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 763, in _MergeField
 merger(tokenizer, message, field)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 878, in _MergeScalarField
 value = _ConsumeUint32(tokenizer)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1377, in _ConsumeUint32
 return _ConsumeInteger(tokenizer, is_signed=False, is_long=False)
 File “/home/doe/.local/lib/python3.6/site-packages/google/protobuf/text_format.py”, line 1451, in _ConsumeInteger
 raise tokenizer.ParseError(str(e))
google.protobuf.text_format.ParseError: 141:15 : Couldn’t parse integer: =

Please do reply…